from rest_framework import serializers
from django.apps import apps
from django.conf import settings
from dj_tickets.core.models import (
    Ticket, 
    AbstractTicket , 
    SupportTeam , 
    SupportTeamMember,
    TicketMessage,
)
from django.utils.module_loading import import_string
from dj_tickets.core.utils import get_settings
from django.contrib.auth import get_user_model

User = get_user_model()


class BaseUserDetailSerializer(serializers.ModelSerializer):
    
    class Meta:
        model = User
        fields = [
            # 'id',
            'first_name',
            'last_name',
            'email',
            'username',
        ]


UserDetailSerializer : type[BaseUserDetailSerializer] = import_string(get_settings().get('UserDetailSerializer','dj_tickets.core.serializers.BaseUserDetailSerializer'))

