from django import template,http
from dj_tickets.core.utils import get_settings

register = template.Library()

@register.simple_tag(takes_context=True)
def change_querystrings(context,*keys_values):

    request:http.HttpRequest = context['request']

    querystrings_dict = request.GET.copy()

    for i in range(0, len(keys_values), 2):
        key = keys_values[i]
        value = keys_values[i + 1]
        querystrings_dict.setlist(key, [str(value)]) 

    return querystrings_dict.urlencode()


@register.simple_tag
def dj_tickets_settings_page_sizes()->list[int]:
    return get_settings().get('PAGE_SIZES',[5,10,25,50,100])
    

