from django.contrib import admin
from django.urls import path, include
from . import views
from . import autocompletes

app_name = 'dj_tickets'

urlpatterns = [
    path('',views.TicketsListView.as_view(),name='tickets-list'),
    path('create/',views.TicketCreateView.as_view(),name='ticket-create'),
    path('<int:pk>/',views.TicketDetailView.as_view(),name='ticket-detail'),
    path('<int:pk>/update/',views.TicketUpdateView.as_view(),name='ticket-update'),
    path('support-team-autocomplete',autocompletes.SupportTeamAutocomplete.as_view(),name='support-team-autocomplete'),
    path('support-team-member-autocomplete',autocompletes.SupportTeamMemberAutocomplete.as_view(),name='support-team-member-autocomplete'),
    path('user-autocomplete',autocompletes.UserAutocomplete.as_view(),name='user-autocomplete'),
]